Bug 101936 - PS/2 keyboard and mouse is not available.
PS/2 keyboard and mouse is not available.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Larry Woodman
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-08 06:31 EDT by Shinya Narahara
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-12 21:37:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shinya Narahara 2003-08-08 06:31:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [ja] (WinNT; U)

Description of problem:
Our IA64 machine has PS/2 Keyboad and mouse,
but they never be available RHAS3.0 beta installing.
USB keyboard and mouse are enabled with same test.


Version-Release number of selected component (if applicable):
kernel-2.4.21-1.1931.2.349.2.2.ent

How reproducible:
Always

Steps to Reproduce:
1. Prepare the machine which has PS/2 keyboard and mouse
2. Install RHAS3.0 beta
3.
   

Actual Results:  PS/2 Keyboard and mouse are never enabled.
If we have USB keyboard and PS/2 mouse, only mouse can't
be available

Expected Results:  Both PS/2 keyboard and mouse are available.


Additional info:

We guess this is kernel issue, or ACPI BIOS one.
A simple patch below: 

--- linux-2.4/arch/ia64/kernel/acpi.c.org	2003-08-08 11:50:01.000000000 +0900
+++ linux-2.4/arch/ia64/kernel/acpi.c	2003-08-08 19:13:33.000000000 +0900
@@ -578,8 +578,14 @@
 
 	fadt = (struct fadt_descriptor_rev2 *) fadt_header;
 
-	if (!(fadt->iapc_boot_arch & BAF_8042_KEYBOARD_CONTROLLER))
-		acpi_kbd_controller_present = 0;
+	if (!(fadt->iapc_boot_arch & BAF_8042_KEYBOARD_CONTROLLER) && \
+	    !(fadt->iapc_boot_arch & BAF_LEGACY_DEVICES)) {
+		printk( "acpi_kbd_controller_present = 0(%x)\n",
+                        fadt->iapc_boot_arch );
+		/* acpi_kbd_controller_present = 0; */
+	    /* never set acpi_kbd_controller_present as 0, enabling PS/2 KBD */
+	    fadt->iapc_boot_arch |= BAF_LEGACY_DEVICES;
+	}
 
 	sci_irq = fadt->sci_int;
 

Actually our machine has 0 on fadt->iapc_boot_arch.
Is this kernel issue? or ACPI?
Comment 1 Shinya Narahara 2003-10-02 03:31:48 EDT
We've decided to fix our SAL, to set the bit 
BAF_8042_KEYBOARD_CONTROLLER of fadt->iapc_boot_arch.
So it'll never happen.

This issue may be closed.

Although ACPI spec doesn't seem that current linux is correct.
# Windows works fine on same machine, without setting the bit.
Comment 2 Tim Burke 2003-10-12 21:37:59 EDT
Closing, per resommendation of problem submitter.

Note You need to log in before you can comment on or make changes to this bug.